Package org.gitana.platform.client.webhost

# Interface AutoClientMapping

All Superinterfaces:
  `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`, `WebHostDocument`

All Known Implementing Classes:
  `AutoClientMappingImpl`

public interface AutoClientMapping extends WebHostDocument, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_APPLICATION_ID`
`static final String`
`FIELD_APPLICATION_KEY`
`static final String`
`FIELD_AUTH_GRANT_KEY`
`static final String`
`FIELD_CLIENT_KEY`
`static final String`
`FIELD_HOST`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getApplicationId()`
`String`
`getApplicationKey()`
`String`
`getAuthGrantKey()`
`String`
`getClientKey()`
`String`
`getHost()`
`void`
`setApplicationId(String applicationId)`
`void`
`setApplicationKey(String applicationKey)`
`void`
`setAuthGrantKey(String authGrantKey)`
`void`
`setClientKey(String clientKey)`
`void`
`setHost(String host)`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

### Methods inherited from interface org.gitana.platform.client.webhost.WebHostDocument

`getPlatform, getWebHost, getWebHostId`

## Field Details

### FIELD_HOST

static final String FIELD_HOST

See Also:
  - Constant Field Values

### FIELD_APPLICATION_ID

static final String FIELD_APPLICATION_ID

See Also:
  - Constant Field Values

### FIELD_APPLICATION_KEY

static final String FIELD_APPLICATION_KEY

See Also:
  - Constant Field Values

### FIELD_CLIENT_KEY

static final String FIELD_CLIENT_KEY

See Also:
  - Constant Field Values

### FIELD_AUTH_GRANT_KEY

static final String FIELD_AUTH_GRANT_KEY

See Also:
  - Constant Field Values

## Method Details

### getHost

String getHost()

### setHost

void setHost(String host)

### getApplicationKey

String getApplicationKey()

### setApplicationKey

void setApplicationKey(String applicationKey)

### getApplicationId

String getApplicationId()

### setApplicationId

void setApplicationId(String applicationId)

### getClientKey

String getClientKey()

### setClientKey

void setClientKey(String clientKey)

### getAuthGrantKey

String getAuthGrantKey()

### setAuthGrantKey

void setAuthGrantKey(String authGrantKey)